# # when using the default proxy server port
# local_backend: true

# backend:
#   name: git-gateway

backend:
  name: test-repo

media_folder: "src/icons"
logo_url: "https://astrominal-demo.statichost.eu/favicon.svg" # make sure it is an URL when you deploy, file path does not work

collections:
  - label: "Astrominal"
    name: "astrominal"
    files:
      - label: "Landing Page"
        name: "landing"
        file: "src/content/pages/landing.md"
        fields:
          - label: "Page Components"
            name: "components"
            widget: "list"
            collapsed: true
            types:
              - label: "Hero Section"
                name: "hero"
                widget: object
                fields:
                  - { label: Title, name: title, widget: string }
                  - { label: Description, name: description, widget: markdown }
                  - {
                      label: Logo,
                      name: logo,
                      hint: "Only accepts .svg files.",
                      widget: image,
                      pattern: ['^.*\.svg$', "File must be .svg"],
                      choose_url: false,
                      allow_multiple: false,
                    }
                  - {
                      label: Logo title for screen readers,
                      name: logoTitle,
                      widget: string,
                    }
              - label: "Features"
                name: "features"
                widget: object
                fields:
                  - label: "Feature"
                    name: "feature"
                    widget: "list"
                    collapsed: true
                    fields:
                      - { label: Title, name: title, widget: string }
                      - { label: Content, name: content, widget: markdown }
                      - {
                          label: Logo,
                          name: logo,
                          hint: "Only accepts .svg files.",
                          widget: image,
                          pattern: ['^.*\.svg$', "File must be .svg"],
                          choose_url: false,
                          allow_multiple: false,
                        }
                      - {
                          label: Logo title for screen readers,
                          name: logoTitle,
                          widget: string,
                        }
              - label: "Cards"
                name: "cards"
                widget: "object"
                fields:
                  - label: "cards"
                    name: "card"
                    widget: "list"
                    collapsed: true
                    fields:
                      - { label: Title, name: title, widget: string }
                      - {
                          label: Logo,
                          name: logo,
                          hint: "Only accepts .svg files.",
                          widget: image,
                          pattern: ['^.*\.svg$', "File must be .svg"],
                          choose_url: false,
                          allow_multiple: false,
                        }
                      - {
                          label: Logo title for screen readers,
                          name: logoTitle,
                          widget: string,
                        }
                      - {
                          label: Link,
                          name: link,
                          widget: string,
                          hint: "Must be like https://example.com",
                          pattern:
                            [
                              "https://",
                              "Web address must conform to https://example.com",
                            ],
                        }
                      - { label: Content, name: content, widget: markdown }
              - label: "Footer"
                name: "footer"
                widget: "object"
                fields:
                  - { label: Project Name, name: name, widget: string }
                  - {
                      label: Project Logo,
                      name: logo,
                      hint: Only accepts .svg files.,
                      widget: image,
                      pattern: ['^.*\.svg$', "File must be .svg"],
                      choose_url: false,
                      allow_multiple: false,
                    }
                  - {
                      label: Logo title for screen readers,
                      name: logoTitle,
                      widget: string,
                    }
                  - {
                      label: Project Creators,
                      name: creators,
                      widget: markdown,
                    }
                  - {
                      label: Acknowledgements Title,
                      name: creditsTitle,
                      widget: string,
                    }
                  - { label: Acknowledgements, name: credits, widget: markdown }
                  - { label: Utility Title, name: utilityTitle, widget: string }
                  - {
                      label: Utility Back-to-top Title,
                      name: utilityBtnTitle,
                      widget: string,
                    }
      - label: "Meta/SEO"
        name: "meta"
        file: "src/content/data/meta.md"
        fields:
          - label: "Page title"
            name: "title"
            hint: "What is the title of your website?"
            widget: "string"
          - label: "Page description"
            name: "description"
            hint: "Describe your website in a few words."
            widget: "string"
          - label: "Open Graph Image"
            name: "ogImage"
            hint: "Image to be displayed on social media."
            widget: "image"
